header: sys-mman.h
macros: []
types:
  - type_name: mode_t
  - type_name: size_t
  - type_name: off_t
enums: []
objects: []
functions:
  - name: madvise
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: void *
      - type: size_t
      - type: int
  - name: mmap
    standards: 
      - POSIX
    return_type: void *
    arguments:
      - type: void *
      - type: size_t
      - type: int
      - type: int
      - type: int
      - type: off_t
  - name: mprotect
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: void *
      - type: size_t
      - type: int
  - name: munmap
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: void *
      - type: size_t
  - name: posix_madvise
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: void *
      - type: size_t
      - type: int
  - name: mincore
    standards: 
      - Linux
    return_type: int
    arguments:
      - type: void *
      - type: size_t
      - type: unsigned char *
  - name: mlock
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: void *
      - type: size_t
  - name: mlock2
    standards: 
      - Linux
    return_type: int
    arguments:
      - type: void *
      - type: size_t
      - type: unsigned int
  - name: munlock
    standards: POSIX
    return_type: int
    arguments:
      - type: void *
      - type: size_t
  - name: mlockall
    standards: 
      -POSIX
    return_type: int
    arguments:
      - type: int
  - name: munlockall
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: void
  - name: msync
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: void *
      - type: size_t
      - type: int
  - name: shm_open
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: const char *
      - type: int
      - type: mode_t
  - name: shm_unlink
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: const char *
      